classification
Title: base64 module docs do not use the terms 'bytes' and 'string' consistently.
Type: behavior Stage: resolved
Components: Documentation Versions: Python 3.3, Python 3.4, Python 3.5
process
Status: closed Resolution: fixed
Dependencies: 1753718 Superseder:
Assigned To: docs@python Nosy List: docs@python, martin.panter, python-dev, r.david.murray, zvyn
Priority: normal Keywords: patch

Created on 2014-02-26 15:08 by r.david.murray, last changed 2015-12-24 02:23 by r.david.murray. This issue is now closed.

Files
File name Uploaded Description Edit
base64doc.diff zvyn, 2014-03-09 20:53 review
Messages (6)
msg212258 - (view) Author: R. David Murray (r.david.murray) * (Python committer) Date: 2014-02-26 15:08
The base64 documentation (http://docs.python.org/3/library/base64.html) does not use the new python3 byte/string terminology consistently (sometimes not even within the same paragraph).
msg212984 - (view) Author: Milan Oberkirch (zvyn) * Date: 2014-03-09 20:53
changed 'bytes' and 'byte string' to `bytes-like object` and reviewed usage of 'byte' and 'string' (the letter made sense to me at some points, e.g. something like  "... altchar is a string with two or less letters ...").
msg256367 - (view) Author: Martin Panter (martin.panter) * (Python committer) Date: 2015-12-14 05:42
Hopefully the patch proposed for Issue 1753718 will address this issue. Many of my comments there would also apply to the patch here.
msg256387 - (view) Author: R. David Murray (r.david.murray) * (Python committer) Date: 2015-12-14 16:14
Darn.  I *thought* I remembered there being an existing patch for this when I was working on that other issue, but I couldn't find it.
msg256948 - (view) Author: Roundup Robot (python-dev) (Python triager) Date: 2015-12-24 02:20
New changeset 105bf5dd93b8 by R David Murray in branch '3.5':
#1753718: clarify RFC compliance and bytes/string argument types.
https://hg.python.org/cpython/rev/105bf5dd93b8
msg256951 - (view) Author: R. David Murray (r.david.murray) * (Python committer) Date: 2015-12-24 02:23
Everything here should be covered by the fix committed for #1753718.  If I missed anything let me know :)
History
Date User Action Args
2015-12-24 02:23:01r.david.murraysetstatus: open -> closed
resolution: fixed
messages: + msg256951

stage: patch review -> resolved
2015-12-24 02:20:23python-devsetnosy: + python-dev
messages: + msg256948
2015-12-14 16:14:20r.david.murraysetmessages: + msg256387
2015-12-14 05:42:10martin.pantersetnosy: + martin.panter
messages: + msg256367

dependencies: + base64 "legacy" functions violate RFC 3548
stage: needs patch -> patch review
2014-03-09 20:53:27zvynsetfiles: + base64doc.diff

nosy: + zvyn
messages: + msg212984

keywords: + patch
2014-02-26 15:08:28r.david.murraycreate